SDL_COLORSPACETRANSFER(3)

NAME
SDL_COLORSPACETRANSFER - A macro to retrieve the transfer characteristics of an SDL_Colorspace.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

#define SDL_COLORSPACETRANSFER(cspace)   (SDL_TransferCharacteristics)(((cspace) >> 5) & 0x1F)

MACRO PARAMETERS

cspace
    an SDL_Colorspace to check.

RETURN VALUE
Returns the SDL_TransferCharacteristics of cspace.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.